## libpgjava 42.6.0

=== debian/changelog ===
libpgjava (42.6.0-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 Oct 2023 14:05:07 +0200

libpgjava (42.6.0-2) unstable; urgency=medium

  * Remove ancient Replaces/Conflicts. Thanks Helmut Grohne for the report.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2023 14:05:07 +0200

libpgjava (42.6.0-1) experimental; urgency=medium

  * New upstream version 42.6.0.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Mar 2023 09:36:55 +0200

=== debian/control ===
Source: libpgjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
 Christoph Berg <myon@debian.org>,
 Matthias Klose <doko@ubuntu.com>,
 Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends:
 debhelper (>= 12),
 libbuild-helper-maven-plugin-java,
 libcomment-preprocessor-java,
 libmaven-bundle-plugin-java,
 libmaven-javadoc-plugin-java,
 libmaven-shade-plugin-java,
 libproperties-maven-plugin-java,
 libscram-java (>= 2.1),
 maven-debian-helper
Build-Depends-Indep:
 default-jdk,
 default-jdk-doc,
 libxerces2-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libpostgresql-jdbc-java
Homepage: https://jdbc.postgresql.org/

Package: libpostgresql-jdbc-java
Architecture: all
Multi-Arch: foreign
Depends: ${maven:Depends}, ${misc:Depends}
# No "Recommends: ${maven:OptionalDepends}" here because that would point at
# libscram-java which we bundle
Provides: libpgjava, libpg-java
Built-Using: ${builtUsing}
Description: Java database (JDBC) driver for PostgreSQL
 PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
 database (8.4 or later) using standard, database independent Java code.
 It is an open source JDBC driver written in Pure Java (Type 4), and
 communicates in the PostgreSQL native network protocol.

Package: libpostgresql-jdbc-java-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Provides: libpg-java-doc
Description: Java database (JDBC) driver for PostgreSQL (documentation)
 PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
 database (8.4 or later) using standard, database independent Java code.
 It is an open source JDBC driver written in Pure Java (Type 4), and
 communicates in the PostgreSQL native network protocol.
 .
 This package contains the documentation.

## libpgjava 42.7.0

=== debian/changelog ===
libpgjava (42.7.0-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 21 Nov 2023 10:31:51 +0100

libpgjava (42.7.0-1) unstable; urgency=medium

  * New upstream version 42.7.0.

 -- Christoph Berg <myon@debian.org>  Tue, 21 Nov 2023 10:31:51 +0100

## libpgjava 42.7.1

=== debian/changelog ===
libpgjava (42.7.1-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 07 Dec 2023 23:27:15 +0100

libpgjava (42.7.1-1) unstable; urgency=medium

  * New upstream version 42.7.1.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Dec 2023 23:27:15 +0100

## libpgjava 42.7.2

=== certdir/Makefile ===
ROOT_CA_PASSWORD=ssl_ca_pwd
PK8_PASSWORD=sslpwd
P12_PASSWORD=sslpwd
SERVER_CRT_DIR=server/

all : $(SERVER_CRT_DIR)root.key $(SERVER_CRT_DIR)root.crt $(SERVER_CRT_DIR)server.crt goodroot.crt goodclient badclient

goodclient: goodclient.crt goodclient.pk8 goodclient.p12

badclient: badclient.crt badclient.pk8 badclient.p12

.PHONY: clean
clean:
	@echo Removing certificate files
	@rm -f *.crt *.key *.csr *.srl *.p12 *.pk8
	@rm -rf $(SERVER_CRT_DIR)*.crt $(SERVER_CRT_DIR)*.key $(SERVER_CRT_DIR)*.csr $(SERVER_CRT_DIR)*.srl $(SERVER_CRT_DIR)*.p12 $(SERVER_CRT_DIR)*.pk8
	@echo

%.pk8 : %.key
	@echo Exporting key $@
	openssl pkcs8 -topk8 -in $< -out $@ -outform DER -v1 PBE-MD5-DES -passout pass:$(PK8_PASSWORD)

%.p12 : %.crt
	@echo Exporting certificate $@
	openssl pkcs12 -export -in $< -inkey $*.key -out $@ -name user -CAfile $(SERVER_CRT_DIR)root.crt -caname local -passout pass:$(P12_PASSWORD)

%root.key :
	@echo Generating CA key $@
	mkdir -p $(*D)
	openssl genrsa -aes256 -passout pass:$(ROOT_CA_PASSWORD) -out $@ 4096
	@echo

goodroot.crt : $(SERVER_CRT_DIR)
	cp $(SERVER_CRT_DIR)root.crt goodroot.crt

%root.crt : %root.key
	@echo Creating root certificate $@
	openssl req -x509 -new -nodes -key $< -passin pass:$(ROOT_CA_PASSWORD) -sha256 -days 3650 -out $@ -subj "/C=US/ST=CA/O=PgJdbc test/CN=root certificate"
	@echo


$(SERVER_CRT_DIR)server.crt : $(SERVER_CRT_DIR)root.key $(SERVER_CRT_DIR)root.crt
	$(eval $@_CERT_FILE := $(SERVER_CRT_DIR)server)
	@echo Creating good client certificate $@
	openssl genrsa -out $($@_CERT_FILE).key 2048
	openssl req -new -sha256 -key $($@_CERT_FILE).key -passin pass:$(ROOT_CA_PASSWORD) -subj "/C=US/ST=CA/O=PgJdbc tests/CN=localhost" -out $($@_CERT_FILE).csr
	openssl x509 -req -in $($@_CERT_FILE).csr -CA $(SERVER_CRT_DIR)root.crt -CAkey $(SERVER_CRT_DIR)root.key -passin pass:$(ROOT_CA_PASSWORD) -CAcreateserial -out $($@_CERT_FILE).crt -days 3650 -sha256
	@rm $($@_CERT_FILE).csr
	@echo

goodclient.crt goodclient.key : $(SERVER_CRT_DIR)root.key $(SERVER_CRT_DIR)root.crt
	$(eval $@_CERT_FILE := goodclient)
	@echo Creating good client certificate $@
	openssl genrsa -out $($@_CERT_FILE).key 2048
	# CN=test has to match user name
	openssl req -new -sha256 -key $($@_CERT_FILE).key -subj "/C=US/ST=CA/O=PgJdbc tests/CN=test" -out $($@_CERT_FILE).csr
	openssl x509 -req -in $($@_CERT_FILE).csr -CA $(SERVER_CRT_DIR)root.crt -CAkey $(SERVER_CRT_DIR)root.key -passin pass:$(ROOT_CA_PASSWORD) -CAcreateserial -out $($@_CERT_FILE).crt -days 3650 -sha256
	@rm $($@_CERT_FILE).csr
	@echo

badclient.crt badclient.key : badroot.key badroot.crt
	$(eval $@_CERT_FILE := badclient)
	@echo Creating bad client certificate $@
	openssl genrsa -out $($@_CERT_FILE).key 2048
	# CN=test has to match user name
	openssl req -new -sha256 -key $($@_CERT_FILE).key -subj "/C=US/ST=CA/O=PgJdbc tests/CN=test" -out $($@_CERT_FILE).csr
	openssl x509 -req -in $($@_CERT_FILE).csr -CA badroot.crt -CAkey badroot.key -passin pass:$(ROOT_CA_PASSWORD) -CAcreateserial -out $($@_CERT_FILE).crt -days 3650 -sha256
	@rm $($@_CERT_FILE).csr
	@echo

=== debian/changelog ===
libpgjava (42.7.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 22 Feb 2024 11:46:47 +0100

libpgjava (42.7.2-1) unstable; urgency=medium

  * New upstream version 42.7.2. (CVE-2024-1597)

 -- Christoph Berg <myon@debian.org>  Thu, 22 Feb 2024 11:46:47 +0100

## libpgjava 42.7.3

=== debian/changelog ===
libpgjava (42.7.3-2) unstable; urgency=medium

  * Team upload.
  * Removed the -java-doc package (Closes: #1088125)
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Dec 2024 14:05:50 +0100

libpgjava (42.7.3-1) unstable; urgency=medium

  * New upstream version 42.7.3.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Mar 2024 15:13:39 +0100

=== debian/control ===
Source: libpgjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
 Christoph Berg <myon@debian.org>,
 Matthias Klose <doko@ubuntu.com>,
 Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends:
 debhelper-compat (= 13),
 libbuild-helper-maven-plugin-java,
 libcomment-preprocessor-java,
 libmaven-bundle-plugin-java,
 libmaven-shade-plugin-java,
 libproperties-maven-plugin-java,
 libscram-java (>= 2.1),
 maven-debian-helper
Build-Depends-Indep:
 default-jdk,
 libxerces2-java
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libpostgresql-jdbc-java
Homepage: https://jdbc.postgresql.org/

Package: libpostgresql-jdbc-java
Architecture: all
Multi-Arch: foreign
Depends: ${maven:Depends}, ${misc:Depends}
# No "Recommends: ${maven:OptionalDepends}" here because that would point at
# libscram-java which we bundle
Provides: libpgjava, libpg-java
Built-Using: ${builtUsing}
Description: Java database (JDBC) driver for PostgreSQL
 PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
 database (8.4 or later) using standard, database independent Java code.
 It is an open source JDBC driver written in Pure Java (Type 4), and
 communicates in the PostgreSQL native network protocol.

## libpgjava 42.7.5

=== debian/changelog ===
libpgjava (42.7.5-2.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 17 Apr 2025 11:14:38 +0000

libpgjava (42.7.5-2) unstable; urgency=medium

  * Fix org.postgresql.util.PSQLException: Unable to convert bytea parameter
    at position 1 to literal. (Closes: #1098830)

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 11:14:38 +0000

libpgjava (42.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the unused dependency on libxerces2-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 10 Feb 2025 10:15:21 +0100

## libpgjava 42.7.6

=== debian/changelog ===
libpgjava (42.7.6-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 02 Jun 2025 17:05:52 +0200

libpgjava (42.7.6-1) experimental; urgency=medium

  * New upstream version 42.7.6.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Jun 2025 17:05:52 +0200

## libpgjava 42.7.7

=== debian/changelog ===
libpgjava (42.7.7-1) unstable; urgency=medium

  * New upstream version 42.7.7.
    Fixes CVE-2025-49146: When the PostgreSQL JDBC driver is configured with
    channel binding set to required (default value is prefer), the driver
    would incorrectly allow connections to proceed with authentication methods
    that do not support channel binding (such as password, MD5, GSS, or SSPI
    authentication). This could allow a man-in-the-middle attacker to
    intercept connections that users believed were protected by channel
    binding requirements.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Jun 2025 15:26:53 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
  libscram-java (>= 2.1),
  maven-debian-helper
 Build-Depends-Indep:
- default-jdk,
- libxerces2-java
+ default-jdk
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git

## libpgjava 42.7.8

=== certdir/Makefile ===
--- 
+++ 
@@ -5,20 +5,16 @@
 
 all : $(SERVER_CRT_DIR)root.key $(SERVER_CRT_DIR)root.crt $(SERVER_CRT_DIR)server.crt goodroot.crt goodclient badclient
 
-goodclient: goodclient.crt goodclient.pk8 goodclient.p12
+goodclient: goodclient.crt goodclient.p12
 
-badclient: badclient.crt badclient.pk8 badclient.p12
+badclient: badclient.crt badclient.p12
 
 .PHONY: clean
 clean:
 	@echo Removing certificate files
-	@rm -f *.crt *.key *.csr *.srl *.p12 *.pk8
+	@rm -f *.crt *.key *.csr *.srl *.p12
 	@rm -rf $(SERVER_CRT_DIR)*.crt $(SERVER_CRT_DIR)*.key $(SERVER_CRT_DIR)*.csr $(SERVER_CRT_DIR)*.srl $(SERVER_CRT_DIR)*.p12 $(SERVER_CRT_DIR)*.pk8
 	@echo
-
-%.pk8 : %.key
-	@echo Exporting key $@
-	openssl pkcs8 -topk8 -in $< -out $@ -outform DER -v1 PBE-MD5-DES -passout pass:$(PK8_PASSWORD)
 
 %.p12 : %.crt
 	@echo Exporting certificate $@

=== debian/changelog ===
libpgjava (42.7.8-1) unstable; urgency=medium

  * New upstream version 42.7.8.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 20:18:01 +0000

libpgjava (42.7.7-2) unstable; urgency=medium

  * Rebuild against libscram-java 3.2-1. (CVE-2025-59432)

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 18:14:27 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package
	# defang package-contains-ancient-file
	touch README.md

override_dh_gencontrol:
	# the resulting .jar embeds classes from libscram-java. Note the version in Built-Using
	dh_gencontrol -- -VbuiltUsing='libscram-java (= $(shell dpkg-query --show --showformat '$${Version}' libscram-java))'

=== debian/tests/control ===
Depends: @, postgresql (>= 10), sqlline
Tests: sqlline
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://repo1.maven.org/maven2/org/postgresql/postgresql/(\d[\d.]+)/postgresql-([\d.]+)-jdbc-src.tar.gz

## libpgjava 42.7.9

=== debian/changelog ===
libpgjava (42.7.9-1) unstable; urgency=medium

  * New upstream version 42.7.9.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 14:52:24 +0100

libpgjava (42.7.8-2) unstable; urgency=medium

  * Team upload.
  * Ignore org.junit:junit-bom to avoid propagating it as a transitive
    dependency to reverse build-deps through the pom. (Closes: #1121881)
  * Bump Standards-Version to 4.7.2
  * Update d/copyright Format URL
  * Update debian/watch to version 5
  * Remove Rules-Requires-Root from debian/control

 -- tony mancill <tmancill@debian.org>  Wed, 03 Dec 2025 21:19:04 -0800

## libpgjava 42.7.10

=== debian/changelog ===
libpgjava (42.7.10-1) unstable; urgency=medium

  * New upstream version 42.7.10.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Feb 2026 20:38:12 +0100
